﻿.verticlelabel {
    writing-mode: vertical-rl;
    transform: rotate(180deg) !important;
    font-size: 24px;
    font-weight: bold;
    color: white;
    background-color: #3498db;
    width: 50px;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
    display: flex;
    align-items: center;
    letter-spacing: 1px;
    justify-content: center;
    padding: 10px;
    text-align: center;
    max-width: 50px !important;
    position: absolute;
    z-index: 9;
}

.independentgrid,
.connectedgrid {
    position: inherit !important;
    margin: 0px;
    padding: 0px;
}

    .independentgrid ul,
    .connectedgrid ul {
    }

        .independentgrid ul li,
        .connectedgrid ul li {
            background-color: transparent !important;
            padding: 0px;
            margin: 0px;
        }

.scroll-button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 10;
    background-color: #1C629D !important;
    color: white;
    border: none;
    padding: 14px 18px;
    font-size: 15px;
    border-radius: 6px !important;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
    cursor: pointer;
    transition: background-color 0.3s ease;
}

    .scroll-button:hover {
        background-color: #1C629D !important;
    }

.scroll-left {
    left: 0px;
}

.scroll-right {
    right: 0px;
}

.scroll-container::-webkit-scrollbar-thumb:hover {
    background: #555;
}

.horizontal-scroll {
    overflow-x: auto;
    overflow-y: hidden;
    white-space: nowrap;
    width: 100%;
    padding-bottom: 10px;
    -webkit-overflow-scrolling: touch;
    touch-action: pan-x;
    scroll-behavior: smooth;
}

.rz-datalist-data {
    padding: 0px !important;
    margin: 0px !important;
}

.banner {
    white-space: nowrap;
    -webkit-overflow-scrolling: touch;
    touch-action: auto;
}

.banner-scroll {
    overflow-x: auto;
}

.banner-hidden {
    overflow-x: hidden;
}
